### Required Parameters ###
#PORT='PPMAC1'
#P='SARFE10-OAPU090'
#powerPmacCreateController(<port_name>, <moving_poll_pseriod [ms]>, <idle_poll_period [ms]>)
#powerPmacCreateController("$(PORT)", 100, 100) <<< done in commom module
###########################
require gpasciiCommander
! $(gpasciiCommander_DIR)/gpasciiCommander --path $(ESB_MX_DIR) $(ESB_MX_DIR)/$(P)1.cfg

powerPmacCreateAxis($(PORT), 1)
powerPmacCreateAxis($(PORT), 2)
powerPmacCreateAxis($(PORT), 3)
powerPmacCreateAxis($(PORT), 4)
powerPmacCreateAxis($(PORT), 5)
powerPmacCreateAxis($(PORT), 6)
powerPmacCreateAxis($(PORT), 7)
#powerPmacCreateAxis($(PORT), 8)

# Load databse
dbLoadTemplate("$(ESB_MX_TEMPLATES)/$(P)1.subs", "PORT_M=$(PORT),P_M=$(P)")
